%global drupalver 7
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal7"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname context

Name:    drupal%{drupalver}-%{modname}
Version: 3.1
Release: 1%{?dist}
Summary: Allows you to manage contextual conditions and reactions of your site
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 7.0, drupal7-ctools

%description
Context allows you to manage contextual conditions and reactions for different
portions of your site. You can think of each context as representing a "section"
of your site. For each context, you can choose the conditions that trigger this
context to be active and choose different aspects of Drupal that should react to
this active context.

Think of conditions as a set of rules that are checked during page load to see
what context is active. Any reactions that are associated with active contexts
are then fired.


%prep
%setup -qn context

install -p -m 0644 %{SOURCE1} .


%build
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/context
cp -pr * %{buildroot}%{drupaldir}/modules/context


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Fri Nov 08 2013 Peter Borsa <peter.borsa@gmail.com> - 3.1-1
- Update to upstream 3.1 release for bug fixes
- Upstream changelog for this release: https://drupal.org/node/2113785
- Fixes CVE-2013-4445, CVE-2013-4446 BZ 1020777, BZ 1020262, BZ 1020781, BZ 1020784

* Sat Sep 28 2013 Scott Dodson <sdodson@redhat.com> - 3.0-0.7.rc1
- Update to upstream 3.0-rc1
- Upstream changelog for this release is available at https://drupal.org/node/2098831

* Wed Aug 07 2013 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.6.beta7
- Update to upstream 3.0-beta7 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2052487

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.5.beta6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.4.beta6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Scott Dodson <sdodson@redhat.com> - 3.0.0.3.beta6
- Update to 3.0-beta6
- Fixes CVE-2012-5655 BZ891586, BZ891587

* Sun Dec 09 2012 Scott Dodson <sdodson@redhat.com> - 3.0-0.3.beta5
- Update to 3.0-beta5

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Scott Dodson <sdodson@redhat.com> - 3.0-0.2.beta3
- Update to beta3

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Scott Dodson <sdodson@redhat.com> - 3.0-0.1.beta2
- Update to beta2

* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 3.0-0.1.beta1
- Initial Packaging
